<img src="./doc/source/\_static/idaes-footer-logo.png" align="right" width="50%" />

[![CircleCI](https://circleci.com/gh/IDAES/idaes.svg?style=shield&circle-token=f57e5927924e27201868772df058d22793e7c00d)](https://circleci.com/gh/IDAES/idaes) [![codecov](https://codecov.io/gh/IDAES/idaes/branch/master/graph/badge.svg?token=OCBmtFZpal)](https://codecov.io/gh/IDAES/idaes) [![Build Status](https://jenkins.idaes.org/buildStatus/icon?job=Docs)](https://jenkins.idaes.org/job/Docs/) [![Build Status](https://jenkins.idaes.org/buildStatus/icon?job=pytest)](https://jenkins.idaes.org/job/pytest/)

# IDAES Toolkit

The IDAES Toolkit aims to provide multi-scale, simulation-based,
open source computational tools and
models to support the design, analysis, optimization, scale-up,
operation and troubleshooting of innovative, advanced fossil
energy systems.

## Contributing

**By contributing to this repository, you are agreeing to all the terms set out
in the LICENSE.txt and COPYRIGHT.txt files in this directory.**

## Getting Started
For installation instructions, please refer to the documentation.

A pre-built PDF version of the IDAES documentation is in the file
`doc/IDAES.pdf`.

The documentation for IDAES is built using [Sphinx](http://www.sphinx-doc.org/). To generate the HTML version of the documentation, first make sure Sphinx is installed for your version of Python, then go to the "doc/" subdirectory and run the _Makefile_:

```
cd doc
make dep html
```

There may be quite a few warnings, which you can ignore.
To view the documentation you just built, open the file
`doc/build/html/index.html` in a web browser.


## Running tests

After you install, you can run tests to make sure everything is working. We use [pytest](https://pytest.org/) for testing and generating code coverage reports.  The `pytest` command should be available in the conda environment created by running the `install.sh` script as described in the installation instructions.

To run tests against the core modules and DMF (not `idaes/contrib`), and generate a coverage report:

```
$ source activate <idaes_conda_env>  # If you used "install.sh <idaes_conda_env>" to install
$ pytest
```

To run tests in `idaes/contrib` just add that to the pytest command:

```
$ pytest ideas/contrib  # These are not guarenteed to all succeed...
```

If there are errors, or you are having trouble, you can use our [issue tracker on Github](https://github.com/IDAES/idaes/issues) to look for other users experiencing similar problems, or to report a new bug.


## Running a notebook

There are example [Jupyter](https://jupyter.org) notebook(s) in the `examples/` directory. To run them, you should invoke Jupyter on a Notebook file (these end in the extension `.ipynb`).

```
jupyter notebook examples/run-mea-model.ipynb
```

This should start up a notebook server and then pop up a tab or window in your default web browser showing the Notebook. For more information on how to use Jupyter, see the "Help" menu in the Notebook window itself, and the extensive documentation on the [Jupyter website](https://jupyter.org).

## Uninstall

To uninstall the IDAES Toolkit:
For idaes version 0.3.0 and later, the installer initialized a conda environment for which the IDAES toolkit was installed into via the `install.sh` script. To uninstall the IDAES toolkit you can just remove that conda environment, refered here as 'name_of_env'

```
$ conda remove --name 'name_of_env' --all
```
To see the list of currently available conda environments use the command:
```
$ conda env list
```

Finally to complete the uninstall, delete the directory containing the IDAES Toolkit codebase.

## Contacts and more information

Please see the
[IDAES main website](https://www.idaes.org) for general information
and people to contact.
