# Install Ipopt
source shared/util.sh

set -e
cd /usr/local/src
cprintln g "Download Ipopt"
wget -q http://www.coin-or.org/download/source/Ipopt/Ipopt-3.12.5.tgz
tar xzf Ipopt-3.12.5.tgz

cprintln g "Download BLAS, LAPACK, ASL, and MUMPS"
# BLAS
cd Ipopt-3.12.5/ThirdParty/Blas
./get.Blas
# LAPACK
cd ../Lapack
./get.Lapack
# ASL
cd ../ASL
sed 's/coinasl=1.3.0/coinasl=3.1.0/g' get.ASL > get.ASL.idaes
chmod +x get.ASL.idaes
./get.ASL.idaes
# MUMPS
cd ../Mumps
./get.Mumps
#cd ../Metis && ./get.Metis

cprintln g "Build Ipopt and libraries"
cd ../..
cprintln a "  configure"
./configure --prefix=/usr/local
cprintln a "  make"
make -j4
cprintln a "  make install"
make install
cprintln g "Cleanup"
cd /usr/local/src
rm -f Ipopt-3.12.5.tgz
rm -rf Ipopt-3.12.5
