# Install miniconda to /miniconda
source `dirname $0`/util.sh
origwd=`pwd`

cprintln g "Installing Miniconda"

cd /tmp
d=miniconda-`id -un`
if [ ! -d $d ]; then
  mkdir $d
  cd $d
  cprintln a "  fetch latest install script"
  curl -LO http://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh
else
  cd $d
fi
cwd=`pwd`

cprintln a "  install"
condahome=`bash Miniconda3-latest-Linux-x86_64.sh -b | \
 grep PREFIX= | cut -f2 -d=`
cprintln a "  condahome=$condahome"

${condahome}/bin/conda update -y conda

cprintln a "  modify .bashrc"
echo ". /home/idaes/miniconda3/etc/profile.d/conda.sh" >> ~/.bashrc
echo "conda activate" >> ~/.bashrc

cprintln a "  clean up"
rm -rf /tmp/$d

cd "$origwd"
