##############################################################################
# Institute for the Design of Advanced Energy Systems Process Systems
# Engineering Framework (IDAES PSE Framework) Copyright (c) 2018, by the
# software owners: The Regents of the University of California, through
# Lawrence Berkeley National Laboratory,  National Technology & Engineering
# Solutions of Sandia, LLC, Carnegie Mellon University, West Virginia
# University Research Corporation, et al. All rights reserved.
# 
# Please see the files COPYRIGHT.txt and LICENSE.txt for full copyright and
# license information, respectively. Both files are also available online
# at the URL "https://github.com/IDAES/idaes".
##############################################################################
from pyomo.environ import *
import pyutilib.services
pyutilib.services.TempfileManager.tempdir = './'
import matplotlib
import matplotlib.pyplot as plt

from pyomo.environ import *
from idaes_model_contrib.mea_simple.flowsheet.wwc import WWCSheet #import WWC flowsheet model class
model = WWCSheet(name="WWC_Example") # create the flowsheet object (default paramters)

fname = None
if fname is None:
    model.initialize("default", validation=True)
    saved_dict = model.to_json(fname="mea_init_01.json")
else:
    model.initialize("json", fname)

wwc_1 = model.wwc.make_profile(t=0)
wwc_2 = model.wwc.make_profile2(t=0)

#flux is calculated as the logmean average
ztop = model.wwc.z[2]
zbottom = model.wwc.z[90]
print(wwc_1)
flux_co2_top = model.wwc.N_v[0,ztop,'CO2'].value/value(model.wwc.trans[0,ztop].ae)
flux_co2_bottom = model.wwc.N_v[0,zbottom,'CO2'].value/value(model.wwc.trans[0,zbottom].ae)
flux_co2_avg = (flux_co2_top-flux_co2_bottom)/log(flux_co2_top/flux_co2_bottom)
print('CO2 flux = {}mol.m2.s'.format(flux_co2_avg))
