##############################################################################
# Institute for the Design of Advanced Energy Systems Process Systems
# Engineering Framework (IDAES PSE Framework) Copyright (c) 2018, by the
# software owners: The Regents of the University of California, through
# Lawrence Berkeley National Laboratory,  National Technology & Engineering
# Solutions of Sandia, LLC, Carnegie Mellon University, West Virginia
# University Research Corporation, et al. All rights reserved.
# 
# Please see the files COPYRIGHT.txt and LICENSE.txt for full copyright and
# license information, respectively. Both files are also available online
# at the URL "https://github.com/IDAES/idaes".
##############################################################################
"""
Just testing some properties.
"""
from __future__ import absolute_import  # disable implicit relative imports
from __future__ import division  # No integer division
from __future__ import print_function  # Python 3 style print

__author__ = "John Eslick <john.eslick@netl.doe.gov>"

from pyomo.environ import *
from pyomo.opt import SolverFactory
import idaes.contrib.properties.iapws95.iapws95_wrap as iapws95

def main():
    model = ConcreteModel()
    model.prop_param = iapws95.PropertyParameterBlock()
    model.prop = iapws95.PropertyBlock(
        parameters=model.prop_param, calculate_equilibrium=True)

    model.prop.temperature.value = 433.15
    model.prop.dens_mass_liq.value = 1000
    print("{}".format(value(model.prop.visc_phase["Liq"])))

if __name__=="__main__":
    main()
