#!/usr/bin/python
##############################################################################
# Institute for the Design of Advanced Energy Systems Process Systems
# Engineering Framework (IDAES PSE Framework) Copyright (c) 2018, by the
# software owners: The Regents of the University of California, through
# Lawrence Berkeley National Laboratory,  National Technology & Engineering
# Solutions of Sandia, LLC, Carnegie Mellon University, West Virginia
# University Research Corporation, et al. All rights reserved.
# 
# Please see the files COPYRIGHT.txt and LICENSE.txt for full copyright and
# license information, respectively. Both files are also available online
# at the URL "https://github.com/IDAES/idaes".
##############################################################################
""" This python code performs the following tasks:
- opens file input.txt
- reads n from the first line of input.txt
- reads n data points from each of the subsequent n lines of input.txt,
  each containing x[0], x[1]
- calculates f(x[0],x[1]) and stores it in x[2]
- writes to output.txt a total of n lines, each containing x[0], x[1], x[2]
"""

infile = 'input.txt'
outfile = 'output.txt'

fin = open(infile, 'r')
fout = open(outfile, 'w')

newline = fin.readline()
newlist = newline.split()
n = int(newlist[0])

for p in range(0,n):
    newline = fin.readline()
    newlist = newline.split()
    x = {}
    for k in range(0,len(newlist)):
        x[k] = float(newlist[k])

    x[2] =  4.0*x[0]-3.0*x[1]+2.0

    for k in range(len(x)):
        fout.write(str(x[k]) + ' ')
    fout.write(' \n')
