##############################################################################
# Institute for the Design of Advanced Energy Systems Process Systems
# Engineering Framework (IDAES PSE Framework) Copyright (c) 2018, by the
# software owners: The Regents of the University of California, through
# Lawrence Berkeley National Laboratory,  National Technology & Engineering
# Solutions of Sandia, LLC, Carnegie Mellon University, West Virginia
# University Research Corporation, et al. All rights reserved.
# 
# Please see the files COPYRIGHT.txt and LICENSE.txt for full copyright and
# license information, respectively. Both files are also available online
# at the URL "https://github.com/IDAES/idaes".
##############################################################################


# # Property Data from CSV

# In[1]:



from idaes.dmf import dmf, propdata, resource_old


# In[2]:


ls *.csv


# Load CSV files into a PropertyTable object

# In[13]:


# load data
data3 = propdata.PropertyData.from_csv("han-data.csv", 2)
data3.add_csv("jayarathna-data.csv")
data3.add_csv("amundsen-data.csv")
table3 = propdata.PropertyTable(data=data3)
# add metadata (sources)
for f in "han-meta.csv", "jayarathna-meta.csv", "amundsen-meta.csv":
    meta = propdata.PropertyMetadata.from_csv(f)
    meta.datatype = 'MEA'
    table3.add_metadata(meta)


# Add PropertyTable object, containing all the property data, to the DMF

# In[16]:


d = dmf.DMF(path='/home/dang/src/idaes/dangunter/idaes/')


# In[17]:


rsrc = resource_old.PropertyDataResource(property_table=table3)


# In[18]:


ident = d.add(rsrc)
print(ident)


# In[8]:


d2 = d.fetch_one(ident)


# In[10]:


data3 = d2.property_table


# In[12]:


data3.data.values_dataframe()


# In[19]:


rsrc

