##############################################################################
# Institute for the Design of Advanced Energy Systems Process Systems
# Engineering Framework (IDAES PSE Framework) Copyright (c) 2018, by the
# software owners: The Regents of the University of California, through
# Lawrence Berkeley National Laboratory,  National Technology & Engineering
# Solutions of Sandia, LLC, Carnegie Mellon University, West Virginia
# University Research Corporation, et al. All rights reserved.
# 
# Please see the files COPYRIGHT.txt and LICENSE.txt for full copyright and
# license information, respectively. Both files are also available online
# at the URL "https://github.com/IDAES/idaes".
##############################################################################
"""
Tests for DMF examples
"""
# stdlib
# package
from idaes.util import testutil

DMF_DIR = 'dmf'
TIMEOUT = 5


def test_examples():
    for expath in testutil.find_examples(DMF_DIR):
        ex = testutil.RunnableExample(expath)
        rcode = ex.run(timeout=TIMEOUT)
        if rcode == 0:
            print('PASSED: {}'.format(expath))
        else:
            print('FAILED: {}'.format(expath))
            print('OUTPUT:\n{}'.format(ex.output))
            print('ERROR:\n{}'.format(ex.error))
        assert rcode == 0

